%define po_package gnome-speech

Summary: GNOME Text to Speech
Name: gnome-speech
Version: 0.4.25
Release: 3.1%{?dist}
License: LGPLv2+
Group: Desktop/Accessibility
URL: http://www.gnome.org/
Source0: http://download.gnome.org/sources/gnome-speech/0.4/gnome-speech-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
BuildRequires: pkgconfig
BuildRequires: autoconf, automake, gettext, libtool
BuildRequires: libbonobo-devel
BuildRequires: espeak-devel
Patch1: gnome-speech-0.3.5-no-gnome-common.patch
Patch2: gnome-speech-0.4.18-dont-fail.patch
Requires: festival >= 1.96-0.11

%description
The GNOME Speech library provides a simple general API for 
producing text-to-speech output.


%package devel
Summary:	The files needed for developing an app using gnome-speech
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libbonobo-devel
Requires:	pkgconfig

%description devel
The gnome-speech-devel package contains files needed for developing
applications using GNOME Speech.


%package espeak
Summary:	gnome-speech driver for eSpeak
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description espeak
The gnome-speech-espeak package contains a driver for using GNOME Speech
with eSpeak.


%prep
%setup -q
%patch1 -p1 -b .no-gnome-common
%patch2 -p1 -b .dont-fail

%build
autoreconf -f -i
%configure --with-java-home=no --with-jab-dir="" --with-espeak-dir=""
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

find $RPM_BUILD_ROOT -name '*.la' |xargs /bin/rm
# Remove this as it does not build correctly right now.

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/test-speech
%{_libdir}/lib*.so.*
%{_libdir}/orbit-2.0/*.so
%{_bindir}/festival-synthesis-driver
%{_libdir}/bonobo/servers/GNOME_Speech_SynthesisDriver_Festival.server

%files devel
%defattr(-,root,root,-)
%doc doc/gnome-speech.html
%{_libdir}/lib*.so
%{_includedir}/gnome-speech-1.0
%{_libdir}/pkgconfig/*pc
%{_datadir}/idl/gnome-speech-1.0

%files espeak
%defattr(-,root,root,-)
%{_bindir}/espeak-synthesis-driver
%{_libdir}/bonobo/servers/GNOME_Speech_SynthesisDriver_Espeak.server



%changelog

